Skip to content

Generate a 6-character single-use kiosk pairing code

POST
/api/kiosk/pairing-codes
curl --request POST \
--url https://example.com/api/kiosk/pairing-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "device_name": "Main Lobby Tablet #1", "partner_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
Media typeapplication/json
object
device_name
required
string
Example
Main Lobby Tablet #1
partner_id
string format: uuid
nullable

Pairing code generated successfully

Media typeapplication/json
object
code
required
string
expires_at
required
string format: date-time
Example
{
"code": "K7X9M2"
}